using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 菜单按钮
    /// </summary>
    [SugarTable("YB_nMenuAction", TableDescription = "菜单按钮", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_nMenuAction
    {
        /// <summary>
        /// 记录ID
        /// </summary>
        [SugarColumn(ColumnDescription = "记录ID", IsPrimaryKey = true)]
        public Guid Id { get; set; }

        /// <summary>
        /// 菜单ID
        /// </summary>
        [SugarColumn(ColumnDescription = "菜单ID", IndexGroupNameList = new string[] { "index_menuid" })]
        public Guid MenuId { get; set; }
        /// <summary>
        /// 按钮ID
        /// </summary>
        [SugarColumn(ColumnDescription = "按钮ID", ColumnDataType = "varchar(50)")]
        public string ButtonId { get; set; }

        /// <summary>
        /// 按钮名称
        /// </summary>
        [SugarColumn(ColumnDescription = "按钮名称", ColumnDataType = "nvarchar(50)")]
        public string ButtonName { get; set; }
        /// <summary>
        /// 位置,1-上部,2-表格头,3-表格列
        /// </summary>
        [SugarColumn(ColumnDescription = "位置,1-上部,2-表格头,3-表格列", IsNullable = true)]
        public MenuButtonPosition Type { get; set; }
        /// <summary>
        /// 控制器名称
        /// </summary>
        [SugarColumn(ColumnDescription = "控制器名称", ColumnDataType = "varchar(50)")]
        public string ControlName { get; set; }
        /// <summary>
        /// 方法名称
        /// </summary>
        [SugarColumn(ColumnDescription = "方法名称", ColumnDataType = "varchar(50)")]
        public string ActionName { get; set; }
        /// <summary>
        /// 排序,数字越小越靠前
        /// </summary>
        [SugarColumn(ColumnDescription = "排序,数字越小越靠前")]
        public int SortCode { get; set; }
    }
}
